## tex-common 3.13

=== debian/changelog ===
tex-common (3.13) unstable; urgency=high

  * rebuild all updmap.cfg files regardless of presence of snippets
    this is necessary to make sure that after the last package in
    TEXFMDEBIAN has disappeared, the updmap.cfg file is empty
    (Closes: #677698) (urgency high, as this is actually a critical
    bug since users cannot easily fix the updmap.cfg file without
    manual intervention)

 -- Norbert Preining <preining@debian.org>  Mon, 18 Jun 2012 10:19:41 +0900

tex-common (3.12) unstable; urgency=low

  * mention NEWS.Debian in the update-updmap warning
  * break against old luatex, it cannot find the necessary files
    (Closes: #613013, #676716)

 -- Norbert Preining <preining@debian.org>  Sat, 09 Jun 2012 11:40:37 +0900

tex-common (3.11) unstable; urgency=low

  * don't break if texmf.cnf is already removed (Closes: #671610, #672269)
  * ship a html redirect file as README.Debian.html instead of a link
    so that hrefs work (Closes: #657677)
  * remove references to teTeX in all relevant places (Closes: #511710)

 -- Norbert Preining <preining@debian.org>  Thu, 10 May 2012 07:11:07 +0900

tex-common (3.10) unstable; urgency=low

  * fix IFS error that prevents newer hyph-utf8 to get configured

 -- Norbert Preining <preining@debian.org>  Mon, 23 Apr 2012 23:03:22 +0900

tex-common (3.9) unstable; urgency=low

  * break against old version of jadetex that contains wrong and outdated
    format definitions (Closes: #668762)

 -- Norbert Preining <preining@debian.org>  Mon, 23 Apr 2012 12:00:23 +0900

tex-common (3.8) unstable; urgency=low

  * update NEWS to include a paragraph for users
  * add a warning if one of the update-* fails due to missing checkfile,
    that the package has to be reinstalled with --force-confmiss
  * add lost definitions of TEXMFTREES, FULLTEXMFTREES, TEXMFSYSVAR
    to postinst, which made run mktexlsr *always* in unprotected mode
    (Closes: #668661)

 -- Norbert Preining <preining@debian.org>  Sat, 14 Apr 2012 08:41:08 +0900

tex-common (3.7) unstable; urgency=low

  * do not create /etc/texmf/language.d, and try to remove it in postinst
  * update-updmap now includes snippets from /etc/texmf/updmap.d
    which might be installed by Debian-external packages, but gives
    big warnings
  * dh_installtex: fix an error in the logic when to add a (magic)
    header to the snippets, which resulted in all the updmap snippets
    still containing the magic header (no harm done, though!)

 -- Norbert Preining <preining@debian.org>  Wed, 11 Apr 2012 08:46:18 +0900

tex-common (3.6) unstable; urgency=low

  * update-texmf: sort list of files to be included (Closes: #665767)
  * set VARTEXFONTS to /tmp/texfonts again, otherwise buildd break
    (Closes: #666637, #666613)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 09:25:33 +0900

tex-common (3.5) unstable; urgency=low

  * fix bashism in update-texmf (Closes: #665438, #665457)
  * rebuild the pdfs, so that at package build time no tex system
    is necessary (Closes: #665633)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Mar 2012 09:43:32 +0900

tex-common (3.4) unstable; urgency=low

  * implement support for generation of language.dat.lua for luatex
    based formats:
    - extended update-fmtlang
    - change and extended the format of files in hyphen.d (needs rebuild
      of all providing packages!)
    - adapt dh_installtex for new format
  * start fixing the TeX-Debian-Policy document
  * do not add a universal fail clause in the debhelper generated
    maintainer scripts parts if the script is called with an
    unknown argument (scripts/post{inst,rm}-tex)
  * lintian warning: add addition makefile targets
  * doc: first run on updated documentation

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:08:18 +0900

tex-common (3.3) experimental; urgency=low

  [ Norbert Preining ]
  * remove tpm2licenses, Tpm.pm, FileUtils.pm, this script is hopelessly
    useless now that we don't have tpm files. 
  * fix report-bug script configuration

  [ Hilmar Preuße ]
  * add new Polish debconf translation (Closes: #662094)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:55:00 +0900

tex-common (3.2) experimental; urgency=low

  * clean up 3.1 changelog entry
  * don't run upgrade code on new install
  * don't create and remove texmf.cnf if no texmf.d conffiles are present

 -- Norbert Preining <preining@debian.org>  Sat, 10 Mar 2012 10:49:30 +0900

tex-common (3.1) experimental; urgency=low

  * only try to remove /etc/texmf/web2c if it is still here (Closes: #663029)
  * add missing break against tex-gyre <= 2.004.1-2.1 (Closes: #663173)
  * remove old ucf managed files with ucf instead of dpkg-maintscript-helper
    (Closes: #663092)
  * clean upgrade from tex-common < 3, move settings in 00updmap.cfg over
    to /etc/texmf/web2c/updmap.cfg

 -- Norbert Preining <preining@debian.org>  Sat, 10 Mar 2012 08:48:22 +0900

tex-common (3.0) experimental; urgency=low

  * remove all texmf.d conf files
  * remove /var/lib/texmf/web2c/updmap.cfg in the postinst, it is disturbing!
  * properly treat KanjiMap entries in dh_installtex
  * postinst-tex: don't break if a fmt.d snipped has been removed
  * bump up to 3.0, updmap.cfg is now managed differently with multi
    enabled updmap, so all the local adaptions are not necessary anymore
  * add calls to mtxrun --generate to the mktexlsr trigger action
    in case context is installed
  * add new Dutch translation (Closes: #652627)
  * bump standards version, no changes necessary
  * add Breaks against old versions of all packages shipping files in updmap.d

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 20:06:47 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~), po-debconf
Build-Depends-Indep: debiandoc-sgml
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/

Package: tex-common
Architecture: all
Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
Suggests: debhelper (>= 7.0.8)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-4), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

## tex-common 3.15

=== debian/changelog ===
tex-common (3.15) unstable; urgency=high

  * break against old latex-cjk-chinese shipping not working hyphenation
    definitons (Closes: #697669)

 -- Norbert Preining <preining@debian.org>  Thu, 10 Jan 2013 07:45:09 +0900

tex-common (3.14) unstable; urgency=low

  * breaks texlive-lang-arab to ensure its removal during upgrades from
    lenny -> squeeze -> wheezy (Closes: #694258) (thanks Andreas Beckmann)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 11:16:02 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~), po-debconf
Build-Depends-Indep: debiandoc-sgml
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-common/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-common/trunk/

Package: tex-common
Architecture: all
Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
Suggests: debhelper (>= 7.0.8)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-4), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

## tex-common 4.04

=== debian/changelog ===
tex-common (4.04) unstable; urgency=low

  * remove thailatex's patched version of babel.sty (Closes: #712297)
  * break against thailatex versions older than 2013 to make sure that
    no patching of babel.sty occurs.
  * bump standards version to 3.9.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 15 Jun 2013 17:00:51 +0900

tex-common (4.03) unstable; urgency=low

  * update-fmtlang: make sure we find the head files in both the old
    (<= TL2012, ie texlive/texmf/) and new (>= TL2013, ie texlive/texmf-dist)

 -- Norbert Preining <preining@debian.org>  Sun, 12 May 2013 19:09:17 +0900

tex-common (4.02) unstable; urgency=low

  * dh_installtex: properly deal with already existing format links
    (error out if present and not agreeing)

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 11:21:54 +0900

tex-common (4.01) experimental; urgency=low

  * dh_installtex: if the dir /usr/share/texmf/doc is found in the
    a package, then the generated tex-common dependency is >= 4

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 13:10:52 +0900

tex-common (4.00) experimental; urgency=low

  * drop the link from /u/s/texmf/doc -> /u/s/doc/texmf
    here was never a need for having /usr/share/doc/texmf at all
  * break with all packages having installed files into 
    /usr/share/texmf/doc
  * remove stale code that deals with upgrades from versions < 3
  * adapt documentation a bit to reality

 -- Norbert Preining <preining@debian.org>  Mon, 17 Dec 2012 22:42:13 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~), po-debconf
Build-Depends-Indep: debiandoc-sgml
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tex-common.git

Package: tex-common
Architecture: all
Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
Suggests: debhelper (>= 7.0.8)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-7), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/tex-common

bin_scripts=dh_installtex
sbin_scripts=update-fmtlang update-texmf-config update-updmap update-texmf
nonbin_scripts=

sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) 

bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 

nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script)) \
	texmf/web2c/mktex.cnf 

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: $(EPERL_FILES) debian/po/templates.pot
	dh_testdir
	$(check-svn)

        # Add here commands to compile the package.
	cd doc; $(MAKE)
	cd scripts; pod2man dh_installtex > dh_installtex.1

	touch build-stamp

debian/po/templates.pot: debian/templates
	debconf-updatepo
	grep "Last-Translator" debian/po/*.po | \
	  sed -e 's/.*\(<.*@.*>\).*/\1, /g' | \
	  tr "\n" " " | sed -e 's/,  $$/\n/' \
	  > debian/recent-translators

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Add here commands to clean up after the build process.
	cd doc; $(MAKE) clean
	-rm -f scripts/dh_installtex.1
	-rm -f $(EPERL_FILES)
	debconf-updatepo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

        # Add here commands to install the package into debian/tex-common.
	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
	cp conf/hyphen.d/00tex.cnf $(INSTDIR)/etc/texmf/hyphen.d/
	cp conf/texmf.d/00debian.cnf $(INSTDIR)/etc/texmf/texmf.d/
	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
	cp $(nonbin_installfiles) $(INSTDIR)/usr/share/tex-common/

        # debhelper stuff
        # dh_installtex(.1) is already installed via the bin_scripts
	grep -v '^[ \t]*# ' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
	grep -v '^[ \t]*# ' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
	cp scripts/tex.pm $(INSTDIR)/usr/share/perl5/Debian/Debhelper/Sequence/

        # fontcache stuff with proper permissions
	install -d $(INSTDIR)/etc/texmf/web2c/
	install -m 644 texmf/web2c/mktex.cnf $(INSTDIR)/etc/texmf/web2c/

        # Remove the out-of-date ls-R file from /usr/share/texmf and create a
        # link to one in /var/lib/texmf that we can update without violating
        # the FHS (symlink created by dh_link)
	rm -f debian/$(package)/usr/share/texmf/ls-R

        # Debian-specific stuff
	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control
	install -m 644 debian/lintian-overrides $(INSTDIR)/usr/share/lintian/overrides/tex-common


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	$(check-svn)
	dh_testroot
	dh_installdebconf 
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman $(sbin_manpages) $(bin_manpages)
	dh_link
	dh_compress
	dh_fixperms --exclude=var/cache/fonts
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

define check-svn
	@if test -d debian/.svn; then \
		echo "Please clean subversion directories."; \
		exit 1; \
	fi
endef

## tex-common 5.02

=== debian/changelog ===
tex-common (5.02) unstable; urgency=medium

  * call fmtutil-sys with --no-error-if-no-engine=luajittex following
    upstream, as there are some architectures that do not support
    luajittex

 -- Norbert Preining <preining@debian.org>  Fri, 30 May 2014 17:58:17 +0900

tex-common (5.01) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 17:55:12 +0900

tex-common (5.00) experimental; urgency=low

  * fix man page of update-updmap (Closes: #717070)
  * exchange the check for kpsewhich running with a check for
    texlive-binaries being installed/configured. Otherwise we might
    run into library upgrade problems (missing symbols due to missing
    so bump upstream). This is done both in the debian/postinst as
    well as the postinst-tex code for dh_installtex.
  * only call mktexlsr for tl/texmf-dist tree, the tl/texmf tree is gone
  * bump standards to 3.9.5, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 22 May 2014 10:53:13 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~), po-debconf
Build-Depends-Indep: debiandoc-sgml
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tex-common.git

Package: tex-common
Architecture: all
Depends: ${misc:Depends}, ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39), dpkg (>= 1.14.18)
Suggests: debhelper (>= 7.0.8)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-7), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013), texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

## tex-common 5.03

=== debian/changelog ===
tex-common (5.03) unstable; urgency=medium

  * remove C.M. Connelly from uploaders, MIA (Closes: #765326)
  * bump standards version, no changes necessary
  * delete misleading/outdated paragraph from Debian TeX Policy

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:44:31 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 8.1.0~), po-debconf
 Build-Depends-Indep: debiandoc-sgml
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tex-common.git

## tex-common 6.02

=== debian/changelog ===
tex-common (6.02) unstable; urgency=medium

  * add help2man to build-deps (Closes: #790101)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 23:05:12 +0900

tex-common (6.01) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:41:33 +0900

tex-common (6.00) experimental; urgency=medium

  * remove Atsuhito Kohda from uploaders, he has retired. Thanks for the
    long years of work! (Closes: #773961)
  * remove redundant code in postinst (Closes: #777558)
  * rework fmtutil/hyphen handling in the same way as updmap handling
  * switch to trigger activated format building
  * try to ensure reproducible builds in files generated by dh_installtex
  * dh_installtex: remove generated dep on dpkg (Closes: #787906)

 -- Norbert Preining <preining@debian.org>  Sun, 07 Jun 2015 10:27:15 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 8.1.0~)
Build-Depends-Indep: debiandoc-sgml, help2man
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tex-common.git

Package: tex-common
Architecture: all
Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
Suggests: debhelper (>= 7.0.8)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-7), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013), texlive-binaries (<< 2015), texlive-base (<< 2015)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

## tex-common 6.04

=== doc/Makefile ===
DESTDIR = /usr/share/doc/tex-common
TDS_VERSION = 1.1

CLEANFILES = Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt TeX-on-Debian.txt TeX-on-Debian.html TeX-on-Debian.tpt

all: policy-txt policy-html policy-pdf tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

policy-txt: Debian-TeX-Policy.txt
policy-pdf: Debian-TeX-Policy.pdf
policy-html: Debian-TeX-Policy.html

Debian-TeX-Policy.txt: Debian-TeX-Policy.sgml version.ent
	debiandoc2text Debian-TeX-Policy.sgml

Debian-TeX-Policy.html: Debian-TeX-Policy.sgml version.ent
	-rm -r $@
	debiandoc2html Debian-TeX-Policy.sgml

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml version.ent texify-tex-output
	debiandoc2latexpdf -s ./texify-tex-output Debian-TeX-Policy.sgml

tex-on-debian-txt: TeX-on-Debian.txt
tex-on-debian-html: TeX-on-Debian.html
tex-on-debian-pdf: TeX-on-Debian.pdf

TeX-on-Debian.txt: TeX-on-Debian.sgml
	debiandoc2text TeX-on-Debian.sgml

TeX-on-Debian.html: TeX-on-Debian.sgml
	debiandoc2html TeX-on-Debian.sgml

TeX-on-Debian.pdf: TeX-on-Debian.sgml texify-tex-output
	debiandoc2latexpdf -s ./texify-tex-output TeX-on-Debian.sgml

get-tds:
	wget ftp://www.tug.org/tex/tds.tar.gz
	tar -xzf tds.tar.gz
	rm tds.tar.gz

tds-all:
	cd tds-$(TDS_VERSION); make tds.pdf
	cd tds-$(TDS_VERSION); make tds.dvi
	cd tds-$(TDS_VERSION); make tds.html

install: 
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/
	cp TeX-on-Debian.txt $(DESTDIR)/
	cp TeX-on-Debian.pdf $(DESTDIR)/
	cp -R TeX-on-Debian.html $(DESTDIR)/
	ln -s TeX-on-Debian.txt $(DESTDIR)/README.Debian.txt
	ln -s TeX-on-Debian.pdf $(DESTDIR)/README.Debian.pdf
	# replace the link with a redirect html document, so that
	# the links within the file actually work
	cp README.Debian.html $(DESTDIR)/
	#ln -s TeX-on-Debian.html/index.html $(DESTDIR)/README.Debian.html
	cp obsolete-tex-files.txt $(DESTDIR)/

	cp tds-$(TDS_VERSION)/tds.pdf $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.dvi $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.html $(DESTDIR)/

clean: tds-clean
	-rm -r $(CLEANFILES)

tds-clean:
	-rm tds-$(TDS_VERSION)/tds.texi*

allclean: clean
	-rm  Debian-TeX-Policy.pdf
	-rm  TeX-on-Debian.pdf

.PHONY: all install clean allclean \
        policy-txt policy-html policy-pdf \
        tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

=== debian/changelog ===
tex-common (6.04) unstable; urgency=medium

  * set Multi-Arch: foreign

 -- Norbert Preining <preining@debian.org>  Wed, 14 Oct 2015 12:48:21 +0900

tex-common (6.03) unstable; urgency=medium

  * do not create temp files in / (Closes: #797381)
  * work on the documentation

 -- Norbert Preining <preining@debian.org>  Thu, 03 Sep 2015 09:22:38 +0900

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: tex-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
 Suggests: debhelper (>= 7.0.8)
 Replaces: tetex-base (<= 3.0-10), dvipdfmx

## tex-common 6.04ubuntu1

=== debian/changelog ===
tex-common (6.04ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Jul 2018 11:45:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 8.1.0~)
 Build-Depends-Indep: debiandoc-sgml, help2man

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 INSTDIR=$(CURDIR)/debian/tex-common
 
 bin_scripts=dh_installtex
-sbin_scripts=update-fmtlang update-texmf-config update-updmap update-texmf
+sbin_scripts=update-language update-texmf-config update-tl-stacked-conffile update-texmf
 nonbin_scripts=
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
@@ -22,22 +22,15 @@
 build-arch: build-stamp
 build-indep: build-stamp
 
-build-stamp: $(EPERL_FILES) debian/po/templates.pot
+build-stamp:
 	dh_testdir
-	$(check-svn)
 
         # Add here commands to compile the package.
 	cd doc; $(MAKE)
 	cd scripts; pod2man dh_installtex > dh_installtex.1
+	cd scripts; help2man -n "generate hyphenation configuration for TeX engines" -s 8 -S Debian  -N ./update-language > update-language.8
 
 	touch build-stamp
-
-debian/po/templates.pot: debian/templates
-	debconf-updatepo
-	grep "Last-Translator" debian/po/*.po | \
-	  sed -e 's/.*\(<.*@.*>\).*/\1, /g' | \
-	  tr "\n" " " | sed -e 's/,  $$/\n/' \
-	  > debian/recent-translators
 
 clean:
 	dh_testdir
@@ -47,9 +40,7 @@
         # Add here commands to clean up after the build process.
 	cd doc; $(MAKE) clean
 	-rm -f scripts/dh_installtex.1
-	-rm -f $(EPERL_FILES)
-	debconf-updatepo
-
+	-rm -f scripts/update-language.8
 	dh_clean 
 
 install: build
@@ -60,8 +51,6 @@
 
         # Add here commands to install the package into debian/tex-common.
 	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
-	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
-	cp conf/hyphen.d/00tex.cnf $(INSTDIR)/etc/texmf/hyphen.d/
 	cp conf/texmf.d/00debian.cnf $(INSTDIR)/etc/texmf/texmf.d/
 	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
 	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
@@ -84,7 +73,6 @@
 
         # Debian-specific stuff
 	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control
-	install -m 644 debian/lintian-overrides $(INSTDIR)/usr/share/lintian/overrides/tex-common
 
 
 # Build architecture-dependent files here.
@@ -96,7 +84,6 @@
 	dh_testdir
 	$(check-svn)
 	dh_testroot
-	dh_installdebconf 
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
@@ -113,9 +100,3 @@
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
 
-define check-svn
-	@if test -d debian/.svn; then \
-		echo "Please clean subversion directories."; \
-		exit 1; \
-	fi
-endef

## tex-common 6.05

=== debian/changelog ===
tex-common (6.05) unstable; urgency=medium

  * fmtutil calling convention updated, switch to --strict
  * fmtutil: call --byhyphen with file name unexpanded (Closes: #815416)
  * bump standards version, no changes necessary
  * adjust vcs-browser location
  * dh_clean -> dh_prep in rules file

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 20:14:06 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 8.1.0~)
 Build-Depends-Indep: debiandoc-sgml, help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tex-common.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/tex-common.git
 
 Package: tex-common
 Architecture: all

## tex-common 6.06

=== debian/changelog ===
tex-common (6.06) unstable; urgency=medium

  * add mfluajit to the no-error-if-no-engine args as with upstream
  * remove /v/l/texmf/web2c/fmtutil.cnf, otherwise fmtutil picks
    up old config files (Closes: #851598)
  * bump standards version and dh compat, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 17 Jan 2017 11:45:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 8.1.0~)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: debiandoc-sgml, help2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/tex-common.git
 
@@ -13,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
-Suggests: debhelper (>= 7.0.8)
+Suggests: debhelper (>= 9)
 Replaces: tetex-base (<= 3.0-10), dvipdfmx
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
 Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<= 0.3.4-4), cm-super-minimal (<= 0.3.4-7), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013), texlive-binaries (<< 2015), texlive-base (<< 2015)

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
         # Add here commands to install the package into debian/tex-common.

## tex-common 6.09

=== debian/changelog ===
tex-common (6.09) unstable; urgency=medium

  * set LANG to C before running fmtutil, in case it is not set, otherwise
    luatex might not build (Closes: #872012)

 -- Norbert Preining <preining@debian.org>  Thu, 17 Aug 2017 14:38:09 +0900

tex-common (6.08) unstable; urgency=medium

  * remove Florent and Frank from the list of uploaders, 
    thanks for your work (Closes: #869311)
  * add $VERSION to dh_installtex (Closes: #872168)
  * update-texmf: add -o|--output option (Closes: #267567)
  * remove completely outdated and wrong documentation, and remove
    build dep on debiandoc (Closes: #663281)

 -- Norbert Preining <preining@debian.org>  Tue, 15 Aug 2017 11:51:38 +0900

tex-common (6.07) unstable; urgency=medium

  * use texlive-base:all in dpkg query, to make sure no rogue :ARCH
    package interferes with the output (Closes: #865300)
  * switch all triggers to -noawait (Closes: #865723)
  * bump standards version to 4.0.0, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 24 Jun 2017 21:20:59 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: debiandoc-sgml, help2man
-Standards-Version: 3.9.8
+Build-Depends-Indep: help2man
+Standards-Version: 4.0.0
 Vcs-Git: git://anonscm.debian.org/debian-tex/tex-common.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/tex-common.git
 
 Package: tex-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ucf, dpkg (>= 1.14.18)
+Depends: ${misc:Depends}, ucf
+Pre-Depends: dpkg (>= 1.16.1)
 Suggests: debhelper (>= 9)
 Replaces: tetex-base (<= 3.0-10), dvipdfmx
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)

## tex-common 6.10

=== debian/changelog ===
tex-common (6.10) unstable; urgency=medium

  * Fix URL's of Vcs-Git & Vcs-Browser (Closes: #900185)
  * remove priority from dh-installtex, break against old cm-super using it
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 02 Sep 2018 21:32:33 +0900

=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: help2man
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/tex-team/tex-common.git
Vcs-Browser: https://salsa.debian.org/tex-team/tex-common

Package: tex-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ucf
Pre-Depends: dpkg (>= 1.16.1)
Suggests: debhelper (>= 9)
Replaces: tetex-base (<= 3.0-10), dvipdfmx
Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<< 0.3.4-12), cm-super-minimal (<< 0.3.4-12), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013), texlive-binaries (<< 2015), texlive-base (<< 2015)
Description: common infrastructure for building and installing TeX
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System.
 .
 It also contains debhelper-like programs useful for building TeX
 packages.

## tex-common 6.11

=== debian/changelog ===
tex-common (6.11) unstable; urgency=medium

  * update VCS fields and my email

 -- Norbert Preining <norbert@preining.info>  Thu, 28 Feb 2019 23:28:40 +0900

## tex-common 6.12

=== debian/changelog ===
tex-common (6.12) unstable; urgency=medium

  * trigger ls-R rebuilds also for /usr/share/doc/texlive-doc which is linked
    to /usr/share/texlive/texmf-dist/doc

 -- Norbert Preining <norbert@preining.info>  Wed, 31 Jul 2019 16:21:24 +0900

## tex-common 6.13

=== debian/changelog ===
tex-common (6.13) unstable; urgency=medium

  * fmtutil shouldn't fail on missing luahbtex
  * ensure dh_installtex induced deps are on tex-common >= 6.13

 -- Norbert Preining <norbert@preining.info>  Tue, 03 Dec 2019 19:04:06 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <preining@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: help2man
 Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/tex-team/tex-common.git
-Vcs-Browser: https://salsa.debian.org/tex-team/tex-common
+Vcs-Git: https://github.com/debian-tex/tex-common.git
+Vcs-Browser: https://github.com/debian-tex/tex-common
+
 
 Package: tex-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 	dh_testdir
 
         # Add here commands to compile the package.
-	cd doc; $(MAKE)
 	cd scripts; pod2man dh_installtex > dh_installtex.1
 	cd scripts; help2man -n "generate hyphenation configuration for TeX engines" -s 8 -S Debian  -N ./update-language > update-language.8
 
@@ -38,7 +37,6 @@
 	rm -f build-stamp
 
         # Add here commands to clean up after the build process.
-	cd doc; $(MAKE) clean
 	-rm -f scripts/dh_installtex.1
 	-rm -f scripts/update-language.8
 	dh_clean 
@@ -50,7 +48,6 @@
 	dh_installdirs
 
         # Add here commands to install the package into debian/tex-common.
-	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
 	cp conf/texmf.d/00debian.cnf $(INSTDIR)/etc/texmf/texmf.d/
 	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
 	cp $(bin_installfiles) $(INSTDIR)/usr/bin/

## tex-common 6.14

=== debian/changelog ===
tex-common (6.14) unstable; urgency=medium

  * Add luajithbtex to the list of TeX engines where missing formats
    are ignored. (Closes: #956928)

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Upgrade to newer source format.

  [ Norbert Preining ]
  * Remove luahbtex from the list of TeX engines where missing formats
    are ignored.
  * Switch to dh compatibility level 12

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Apr 2020 10:25:27 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: help2man
 Standards-Version: 4.2.1
 Vcs-Git: https://github.com/debian-tex/tex-common.git

## tex-common 6.15

=== debian/changelog ===
tex-common (6.15) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.5.

  [ Hilmar Preusse ]
  * Change Maintainer field to "Debian TeX Task Force".

  [ Norbert Preining ]
  * Only make /u/l/s/texmf group staff if /etc/staff-group-for-usr-local is
    present (Closes: #962419)
  * Bump standards version to 4.5.0, and dh compat to 13

 -- Norbert Preining <norbert@preining.info>  Mon, 08 Jun 2020 17:31:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: help2man
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/debian-tex/tex-common.git
 Vcs-Browser: https://github.com/debian-tex/tex-common

## tex-common 6.15mx19+1

=== debian/changelog ===
tex-common (6.15mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 26 Sep 2020 21:13:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: help2man
 Standards-Version: 4.5.0
 Vcs-Git: https://github.com/debian-tex/tex-common.git
@@ -15,7 +16,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ucf
 Pre-Depends: dpkg (>= 1.16.1)
-Suggests: debhelper (>= 9)
+Suggests: debhelper (>= 12)
 Replaces: tetex-base (<= 3.0-10), dvipdfmx
 Conflicts: tetex-base (<< 2007), texlive-common (<< 2009), context (<= 2011.05.18.20110627-1)
 Breaks: texlive-common (<< 2010), tipa (<= 2:1.3-15), itrans (<= 5.3-10), gregoriotex (<= 2.0-1.1), cm-super (<< 0.3.4-12), cm-super-minimal (<< 0.3.4-12), latex-cjk-chinese-arphic-bkai00mp (<= 1.21+nmu1), latex-cjk-japanese-wadalab (<= 0.20050817-15), latex-fonts-sipa-arundina (<= 0.2.0-1), latex-fonts-thai-tlwg (<= 1:0.5.0-1), lmodern (<= 2.004.1-3.1), ko.tex-base (<= 0.1.0+20071012-1), ko.tex-extra (<= 0.1.0+20071012-1), latex-cjk-chinese-arphic-bsmi00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gbsn00lp (<= 1.21+nmu1), latex-cjk-chinese-arphic-gkai00mp (<= 1.21+nmu1), latex-cjk-thai (<= 4.8.2+git20111216-1), latex-cjk-chinese (<< 4.8.2+git20111216-2), latex-sanskrit (<= 2.2-8), musixtex (<= 1:0.115-2), scalable-cyrfonts-tex (<= 4.15), tex-gyre (<= 2.004.1-2.1), jadetex (<= 3.13-12), luatex (<< 0.70.1), texlive-lang-arab (<< 2012), context-doc-nonfree (<= 2012.06.27-1), alqalam (<= 0.2-5), thailatex (<< 2013), texlive-binaries (<< 2015), texlive-base (<< 2015)

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,13 @@
 nonbin_scripts=
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
-sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) 
+sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8)
 
 bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
-bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 
+bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1)
 
 nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script)) \
-	texmf/web2c/mktex.cnf 
+	texmf/web2c/mktex.cnf
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -39,7 +39,7 @@
         # Add here commands to clean up after the build process.
 	-rm -f scripts/dh_installtex.1
 	-rm -f scripts/update-language.8
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -81,7 +81,7 @@
 	dh_testdir
 	$(check-svn)
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_installman $(sbin_manpages) $(bin_manpages)
@@ -96,4 +96,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
-
